## EDU.oswego.cs.dl.util.concurrent
Class FJTaskRunnerGroup.InvokableFJTask

    java.lang.Object
      EDU.oswego.cs.dl.util.concurrent.FJTask
          EDU.oswego.cs.dl.util.concurrent.FJTaskRunnerGroup.InvokableFJTask

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  FJTaskRunnerGroup

    protected static final class FJTaskRunnerGroup.InvokableFJTask

extends FJTask

Wrap wait/notify mechanics around a task so that invoke() can wait it out

Nested Class Summary

Nested classes/interfaces inherited from class EDU.oswego.cs.dl.util.concurrent.FJTask
`FJTask.Par, FJTask.Par2, FJTask.Seq, FJTask.Seq2, FJTask.Wrap`

Field Summary
`protected boolean` `terminated`
`protected java.lang.Runnable` `wrapped`

Constructor Summary
`protected` `FJTaskRunnerGroup.InvokableFJTask(java.lang.Runnable r)`

Method Summary
`protected void` `awaitTermination()`
`void` `run()`
`protected void` `setTerminated()`

Methods inherited from class EDU.oswego.cs.dl.util.concurrent.FJTask
`cancel, coInvoke, coInvoke, fork, getFJTaskRunner, getFJTaskRunnerGroup, invoke, isDone, join, par, par, reset, seq, seq, setDone, start, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### wrapped

    protected final java.lang.Runnable wrapped

### terminated

    protected boolean terminated

Constructor Detail

### FJTaskRunnerGroup.InvokableFJTask

    protected FJTaskRunnerGroup.InvokableFJTask(java.lang.Runnable r)

Method Detail

### run

    public void run()

### setTerminated

    protected void setTerminated()

### awaitTermination

    protected void awaitTermination()
                             throws java.lang.InterruptedException

  Throws:
    `java.lang.InterruptedException`